Subject: Re: [bug#40311] [PATCH] Update proof-general
From: Marius Bakke <[email-masked]>
To: John Soo <[email-masked]>, [email-masked]
Date: Thu, 02 Apr 2020 18:59:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

John Soo <[email-masked]> writes:

> Hi Guix,
>
> In my effort to use strictly guix for my emacs package management, I
> found that proof-general was not working out of the box with guix.el.
>
> In the end I could not figure out how to make it work, but I did update
> proof-general to 4.4 and updated the home-page.
>
> proof-general puts its initialization file in
> %outputs/share/emacs/site-lisp/site-start.d/pg-init.el. I also see
> Tuareg puts the file there. Niether that path, nor any subdirectory of
> site-lisp is included by $EMACSLOADPATH or is autoloaded by guix.el.
>
> For the record, I added
> (load-file "~/.guix-profile/share/emacs/site-lisp/site-start.d/pg-init.el")
> to init.el as a workaround.
>
> Anyways, this should fix proof-general to work with the current version
> of coq at least and add some more newer niceties in recent versions.

Thanks!  I applied both patches, and also added a proper commit message
for the first one (mention the changes to the various fields).

I also added a git-file-name for the first patch as suggested by 'guix
lint'.